=== modified file 'bzrlib/tests/test_server.py'
--- bzrlib/tests/test_server.py	2010-02-09 17:19:50 +0000
+++ bzrlib/tests/test_server.py	2010-02-09 17:21:06 +0000
@@ -137,6 +137,14 @@
         return self.get_url_prefix() + self._server.get_url()
 
 
+class BrokenRenameServer(DecoratorServer):
+    """Server for the BrokenRenameTransportDecorator for testing with."""
+
+    def get_decorator_class(self):
+        from bzrlib.transport import brokenrename
+        return brokenrename.BrokenRenameTransportDecorator
+
+
 class FakeNFSServer(DecoratorServer):
     """Server for the FakeNFSTransportDecorator for testing with."""
 

=== modified file 'bzrlib/transport/brokenrename.py'
--- bzrlib/transport/brokenrename.py	2009-03-23 14:59:43 +0000
+++ bzrlib/transport/brokenrename.py	2010-02-09 17:21:06 +0000
@@ -23,10 +23,10 @@
         errors,
         urlutils,
         )
-from bzrlib.transport.decorator import TransportDecorator, DecoratorServer
-
-
-class BrokenRenameTransportDecorator(TransportDecorator):
+from bzrlib.transport import decorator
+
+
+class BrokenRenameTransportDecorator(decorator.TransportDecorator):
     """A transport that fails to detect clashing renames"""
 
     @classmethod
@@ -46,13 +46,6 @@
             return
 
 
-class BrokenRenameServer(DecoratorServer):
-    """Server for the BrokenRenameTransportDecorator for testing with."""
-
-    def get_decorator_class(self):
-        return BrokenRenameTransportDecorator
-
-
 def get_test_permutations():
     """Return the permutations to be used in testing."""
     # we don't use this for general testing, only for the tests that

